package io.renren.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.entity.algs.AlgorithmTemplate;
import io.renren.modules.sys.entity.dataset.DataSet;

import java.util.Map;

/**
 * @Author: Ivan Q
 * @Date: 2021/6/9 13:33
 */
public interface DataSetService extends IService<DataSet> {

    PageUtils queryPageOnUse(Map<String, Object> params);

    void deleteBatch(Long[] datasetIds);

    Long querycategoryId(Long datasetId);

    void update(DataSet dataSet);
}
